from leapp.actors import Actor
from leapp.tags import ApplicationsPhaseTag, IPUWorkflowTag
from leapp.libraries.stdlib import  run
import os

class AddDbusLink(Actor):
    """
    Enables dbus.service systemd service.
    """

    name = 'add_dbus_link'
    consumes = ()
    produces = ()
    tags = (ApplicationsPhaseTag, IPUWorkflowTag)

    def process(self):        
        if not os.path.exists('/etc/systemd/system/dbus.service'):
            run(['ln', '-s', '/usr/lib/systemd/system/dbus-broker.service', '/etc/systemd/system/dbus.service'])